> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Service Request: ResMan

POST https://api.propexo.com/v1/service-requests/resman/
Content-Type: application/json

Create Service Request: ResMan| Interface   | Method                     |
| ----------- | -------------------------- |
| Work Orders | /WorkOrders/PostWorkOrders |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Reference: https://docs.propexo.com/api-reference/resman/service-requests/create-service-request-res-man

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_service-requests_resman__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `service_request_category_id` (string, required) — The Propexo unique identifier for the service request category
- `date_created` (string, required) — The date the service request was created
- `service_description` (string, required) — A description of the service request
- `reported_by` (string, required) — The name of the person who reported this service request
- `status_raw` (enum, required) — The status associated with the service request
  - Allowed values: `Submitted`, `Not Started`, `In Progress`, `Completed`, `Scheduled`, `Cancelled`, `Closed`, `On Hold`
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `employee_id` (string, optional) — The Propexo unique identifier for the employee. Please note that due to a lack of proper unique IDs in Resman, multiple duplicate employees may exist for the same actual employee. You may use any one of those duplicate record IDs for this API call.
- `date_due` (string, optional) — The due date associated with the service request
- `date_completed` (string, optional) — The date the service request was completed

## Response

### 200

Successful response

- `meta` (V1ServiceRequestsResmanPostOutputMeta, required)
- `result` (V1ServiceRequestsResmanPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ServiceRequestsResmanPostOutputMeta

- `job_id` (string, required)

### V1ServiceRequestsResmanPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `service_request_category_id` (string, required) — The Propexo unique identifier for the service request category
- `unit_id` (string, required, nullable) — The Propexo unique identifier for the unit
- `employee_id` (string, required, nullable) — The Propexo unique identifier for the employee. Please note that due to a lack of proper unique IDs in Resman, multiple duplicate employees may exist for the same actual employee. You may use any one of those duplicate record IDs for this API call.
- `date_created` (string, required) — The date the service request was created
- `service_description` (string, required) — A description of the service request
- `reported_by` (string, required) — The name of the person who reported this service request
- `date_due` (string, required, nullable) — The due date associated with the service request
- `status_raw` (enum, required) — The status associated with the service request
  - Allowed values: `Submitted`, `Not Started`, `In Progress`, `Completed`, `Scheduled`, `Cancelled`, `Closed`, `On Hold`
- `date_completed` (string, required, nullable) — The date the service request was completed

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "int-789456123",
  "property_id": "prop-123456789",
  "service_request_category_id": "cat-987654321",
  "date_created": "2024-01-15T09:30:00Z",
  "service_description": "Leaking faucet in the kitchen needs repair",
  "reported_by": "John Doe",
  "status_raw": "Submitted"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240115-001"
  },
  "result": {
    "integration_id": "int-789456123",
    "property_id": "prop-123456789",
    "service_request_category_id": "cat-987654321",
    "unit_id": "unit-456789123",
    "employee_id": "emp-321654987",
    "date_created": "2024-01-15T09:30:00Z",
    "service_description": "Leaking faucet in the kitchen needs repair",
    "reported_by": "John Doe",
    "date_due": "2024-01-20T17:00:00Z",
    "status_raw": "Submitted",
    "date_completed": "2024-01-22T15:45:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/service-requests/resman/"

payload = {
    "integration_id": "int-789456123",
    "property_id": "prop-123456789",
    "service_request_category_id": "cat-987654321",
    "date_created": "2024-01-15T09:30:00Z",
    "service_description": "Leaking faucet in the kitchen needs repair",
    "reported_by": "John Doe",
    "status_raw": "Submitted"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/service-requests/resman/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"int-789456123","property_id":"prop-123456789","service_request_category_id":"cat-987654321","date_created":"2024-01-15T09:30:00Z","service_description":"Leaking faucet in the kitchen needs repair","reported_by":"John Doe","status_raw":"Submitted"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/service-requests/resman/"

	payload := strings.NewReader("{\n  \"integration_id\": \"int-789456123\",\n  \"property_id\": \"prop-123456789\",\n  \"service_request_category_id\": \"cat-987654321\",\n  \"date_created\": \"2024-01-15T09:30:00Z\",\n  \"service_description\": \"Leaking faucet in the kitchen needs repair\",\n  \"reported_by\": \"John Doe\",\n  \"status_raw\": \"Submitted\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/service-requests/resman/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"int-789456123\",\n  \"property_id\": \"prop-123456789\",\n  \"service_request_category_id\": \"cat-987654321\",\n  \"date_created\": \"2024-01-15T09:30:00Z\",\n  \"service_description\": \"Leaking faucet in the kitchen needs repair\",\n  \"reported_by\": \"John Doe\",\n  \"status_raw\": \"Submitted\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/service-requests/resman/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"int-789456123\",\n  \"property_id\": \"prop-123456789\",\n  \"service_request_category_id\": \"cat-987654321\",\n  \"date_created\": \"2024-01-15T09:30:00Z\",\n  \"service_description\": \"Leaking faucet in the kitchen needs repair\",\n  \"reported_by\": \"John Doe\",\n  \"status_raw\": \"Submitted\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/service-requests/resman/', [
  'body' => '{
  "integration_id": "int-789456123",
  "property_id": "prop-123456789",
  "service_request_category_id": "cat-987654321",
  "date_created": "2024-01-15T09:30:00Z",
  "service_description": "Leaking faucet in the kitchen needs repair",
  "reported_by": "John Doe",
  "status_raw": "Submitted"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/service-requests/resman/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"int-789456123\",\n  \"property_id\": \"prop-123456789\",\n  \"service_request_category_id\": \"cat-987654321\",\n  \"date_created\": \"2024-01-15T09:30:00Z\",\n  \"service_description\": \"Leaking faucet in the kitchen needs repair\",\n  \"reported_by\": \"John Doe\",\n  \"status_raw\": \"Submitted\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "int-789456123",
  "property_id": "prop-123456789",
  "service_request_category_id": "cat-987654321",
  "date_created": "2024-01-15T09:30:00Z",
  "service_description": "Leaking faucet in the kitchen needs repair",
  "reported_by": "John Doe",
  "status_raw": "Submitted"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/service-requests/resman/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```